board: J Tech Control
name: J Tech Control Board ESP32 V1
meta: 1-25-2023 J Tech Photonics Inc.

stepping:
  engine: I2S_STATIC
  idle_ms: 255
  pulse_us: 4
  dir_delay_us: 1
  disable_delay_us: 0

axes:
  shared_stepper_disable_pin: NO_PIN
  x:
    steps_per_mm: 40
    max_rate_mm_per_min: 38100
    acceleration_mm_per_sec2: 1000
    max_travel_mm: 812.000
    soft_limits: false
    homing:
      cycle: 2
      positive_direction: false
      mpos_mm: 0.000
      feed_mm_per_min: 250.000
      seek_mm_per_min: 2500
      settle_ms: 500
      seek_scaler: 1.100
      feed_scaler: 1.100

    motor0:
      limit_neg_pin: gpio.39:low
      limit_pos_pin: NO_PIN
      limit_all_pin: NO_PIN
      hard_limits: false
      pulloff_mm: 2.000
      standard_stepper:
        step_pin: I2SO.2
        direction_pin: I2SO.1
        disable_pin: I2SO.0

  y:
    steps_per_mm: 40
    max_rate_mm_per_min: 30000
    acceleration_mm_per_sec2: 600
    max_travel_mm: 782
    soft_limits: true
    homing:
      cycle: 3
      positive_direction: true
      mpos_mm: 782
      feed_mm_per_min: 250.000
      seek_mm_per_min: 2500
      settle_ms: 500
      seek_scaler: 1.100
      feed_scaler: 1.100

    motor0:
      limit_neg_pin: NO_PIN
      limit_pos_pin: gpio.34:low
      limit_all_pin: NO_PIN
      hard_limits: false
      pulloff_mm: 2.000
      standard_stepper:
        step_pin: I2SO.4
        direction_pin: I2SO.3:low
        disable_pin: I2SO.5
    
    motor1:
      limit_neg_pin: NO_PIN
      limit_pos_pin: gpio.32:low
      limit_all_pin: NO_PIN
      hard_limits: false
      pulloff_mm: 2.000
      standard_stepper:
        step_pin: I2SO.7:low
        direction_pin: I2SO.6:high
        disable_pin: I2SO.8

  z:
    steps_per_mm: 401
    max_rate_mm_per_min: 2000.000
    acceleration_mm_per_sec2: 100.000
    max_travel_mm: 160.000
    soft_limits: false
    homing:
      cycle: 1
      positive_direction: true
      mpos_mm: 0.000
      feed_mm_per_min: 250.000
      seek_mm_per_min: 500.000
      settle_ms: 500
      seek_scaler: 1.100
      feed_scaler: 1.100

    motor0:
      limit_neg_pin: NO_PIN
      limit_pos_pin: gpio.35:low
      limit_all_pin: NO_PIN
      hard_limits: false
      pulloff_mm: 2.000
      standard_stepper:
        step_pin: I2SO.11
        direction_pin: I2SO.10
        disable_pin: I2SO.9

  A:
    steps_per_mm: 11
    max_rate_mm_per_min: 1100
    acceleration_mm_per_sec2: 100.000
    max_travel_mm: 10000
    soft_limits: false
    homing:
      cycle: 0
      positive_direction: true
      mpos_mm: 0.000
      feed_mm_per_min: 100.000
      seek_mm_per_min: 800.000
      settle_ms: 500
      seek_scaler: 1.100
      feed_scaler: 1.100

    motor0:
      limit_neg_pin: NO_PIN
      limit_pos_pin: NO_PIN
      limit_all_pin: NO_PIN
      hard_limits: false
      pulloff_mm: 2
      standard_stepper:  
        step_pin: I2SO.13
        direction_pin: I2SO.12:low
        disable_pin: I2SO.14

        
probe:
  pin: NO_PIN
  check_mode_start: true
  
Laser:
  pwm_hz: 1000
  output_pin: gpio.4
  enable_pin: NO_PIN
  disable_with_s0: false
  s0_with_disable: true
  tool_num: 0
  speed_map: 0=0.000% 1000=100.000%
  off_on_alarm: false
        
i2so:
  bck_pin: gpio.22
  data_pin: gpio.21
  ws_pin: gpio.17

spi:
  miso_pin: gpio.19
  mosi_pin: gpio.23
  sck_pin: gpio.18

sdcard:
  card_detect_pin: NO_PIN
  cs_pin: gpio.5

coolant:
  flood_pin: I2SO.15
  mist_pin: NO_PIN
  delay_ms: 2000
  
Control:
  feed_hold_pin: GPIO.25:low:pu
  cycle_start_pin: GPIO.26:low:pu
  
start:
  must_home: false
